AutoEnhancer requires for its functionality one of following versions of Adobe Photoshop:

Adobe Photoshop CS3, CS4, CS5, CS6, 32 bit and 64 bit
or Photoshop Elements 10, 11, 12, 13, 14, 15, 2018, 2019 both 32 and 64 bit versions

Operating system: Windows XP, Vista, 7 or 8

If you have other version of Photohshop, it is highly probable that AutoENHANCER will also work with it.